Package be.fgov.ehealth.certra.core.v2

# Class EHealthCertificateSigningRequestType

java.lang.Object
be.fgov.ehealth.certra.core.v2.EHealthCertificateSigningRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class EHealthCertificateSigningRequestType extends Object implements Serializable
Describes an eHealth CSR. The eHealth CSR wraps a CSR in PKCS#10 format and adds the necessary data needed by the eHealth Certificate Manager service such as the contract, contact data and the eHealth services you want to use with your certificate.

Java class for EHealthCertificateSigningRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EHealthCertificateSigningRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="CSR" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}ContractType"/>
             <element name="BaseServiceUsage" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EHealthCertificateSigningRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getBaseServiceUsages()`
  Optional element that defines for which eHealth base services you want to use the certificate.
  `ContactDataType`
  `getContactData()`
  Gets the value of the contactData property.
  `ContractType`
  `getContract()`
  The server signed contract as it was returned by the GenerateSignedContract operation.
  `byte[]`
  `getCSR()`
  A certificate signing request (CSR) in PKCS#10 format and transformed into base64 representation.
  `void`
  `setContactData(ContactDataType value)`
  Sets the value of the contactData property.
  `void`
  `setContract(ContractType value)`
  Sets the value of the contract property.
  `void`
  `setCSR(byte[] value)`
  Sets the value of the csr property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EHealthCertificateSigningRequestType

    public EHealthCertificateSigningRequestType()

- ## Method Details

  - ### getContactData

    public ContactDataType getContactData()
    Gets the value of the contactData property.
    Returns:
      possible object is `ContactDataType`

  - ### setContactData

    public void setContactData(ContactDataType value)
    Sets the value of the contactData property.
    Parameters:
      `value` - allowed object is `ContactDataType`

  - ### getCSR

    public byte[] getCSR()
    A certificate signing request (CSR) in PKCS#10 format and transformed into base64 representation.
    Returns:
      possible object is byte[]

  - ### setCSR

    public void setCSR(byte[] value)
    Sets the value of the csr property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getCSR()`

  - ### getContract

    public ContractType getContract()
    The server signed contract as it was returned by the GenerateSignedContract operation.
    Returns:
      possible object is `ContractType`

  - ### setContract

    public void setContract(ContractType value)
    Sets the value of the contract property.
    Parameters:
      `value` - allowed object is `ContractType`
    See Also:
      - `getContract()`

  - ### getBaseServiceUsages

    public List<String> getBaseServiceUsages()
    Optional element that defines for which eHealth base services you want to use the certificate. This will automatically notify these services of the new certificate that needs to be registered. Gets the value of the baseServiceUsages property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseServiceUsages property.

    For example, to add a new item, do as follows:

         getBaseServiceUsages().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the baseServiceUsages property.